Bug 1401487 - EC2 "suspended" state while making "Soft Reboot"
Summary: EC2 "suspended" state while making "Soft Reboot"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Marcel Hild
QA Contact: Leo Khomenko
URL:
Whiteboard: provider:ec2:power
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 12:20 UTC by Leo Khomenko
Modified: 2017-05-31 14:24 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
lkhomenk: automate_bug-


Attachments (Terms of Use)
faulty "starts" for VM in "suspended" (27.85 KB, image/png)
2016-12-05 12:20 UTC, Leo Khomenko
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Leo Khomenko 2016-12-05 12:20:45 UTC
Created attachment 1228043 [details]
faulty "starts" for VM in "suspended"

Description of problem:Instance goes to "suspended" state after initiating "Soft Reboot". Which will remain till the next Provider Refresh.
Also - it's possible to initiate "Start" while VM in "suspended" state, which goes to Task's log (see attachment)


Version-Release number of selected component (if applicable):5.7.0.13


How reproducible:100%


Steps to Reproduce:
1.Initiate "Soft Reboot" for ec2 Instance

Actual results: VM in "suspended" state

Expected results:VM in "rebooting"/"restarting" state


Additional info:
EC2 instances have transition states like "powering up"/"powering down", so "rebooting" might be correct one

Comment 2 Dave Johnson 2016-12-06 16:52:31 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

Comment 5 CFME Bot 2017-03-06 22:33:28 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/master:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/e45965103f0d97c2dd21288dc850b0df752cb03f

commit e45965103f0d97c2dd21288dc850b0df752cb03f
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Mon Feb 20 15:59:22 2017 +0100
Commit:     Marcel Hild <hild@b4mad.net>
CommitDate: Fri Feb 24 13:09:52 2017 +0100

    set power state to shutting_down when rebooting an instance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1401487

 .../manageiq/providers/amazon/cloud_manager/vm/operations/guest.rb      | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 errata-xmlrpc 2017-05-31 14:24:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.